Package it.polito.appeal.traci

## Class CloseQuery

- java.lang.Object
- - de.tudresden.sumo.util.Observable
  - - de.tudresden.sumo.util.Query
    - - it.polito.appeal.traci.CloseQuery

-     public class CloseQuery
      extends Query

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CloseQuery​(Socket sock)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doCommand()` |

    - ### Methods inherited from class de.tudresden.sumo.util.Query

      `doClose, doQuery, doQuerySingle, doSetOrder, doSimulationStep, fireAndForget, getOutStream, queryAndVerify, queryAndVerifySingle, verify, verify, verify, verifyGetVarResponse`

    - ### Methods inherited from class de.tudresden.sumo.util.Observable

      `addObserver, notifyObservers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloseQuery

          public CloseQuery​(Socket sock)
                     throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### doCommand

          public void doCommand()
                         throws IOException

      Throws:
        `IOException`